const mm = 72/25.4;

var doc = app.activeDocument;

var bleedBorder = 5 *mm;
var dialogStr = 'Write PDFpreset name';
var NamePreset = '[Illustrator Default]';

var strColor = new CMYKColor();
var nameLayer = 'effect';
	strColor.cyan = 0;
	strColor.magenta = 0;
	strColor.yellow = 0;
	strColor.black = 0;
	
if (documents.length > 0){
	if (str = prompt (dialogStr, NamePreset)) {
		NamePreset = str;
		var saveOpts = new PDFSaveOptions();	
		saveOpts.pDFPreset = NamePreset;	
		h = doc.height;
		w = doc.width;
		if (doc.saved==false) doc.save();
		var mLayer= doc.layers.add();    	 
		mLayer.name = nameLayer;
		var rect = mLayer.pathItems.rectangle (h + bleedBorder, 0 - bleedBorder, w + bleedBorder*2, h + bleedBorder*2);
		rect.fillColor = strColor;
		rect.stroked = false;
		rect.opacity = 50.0;
		mLayer.zOrder(ZOrderMethod.SENDTOBACK);
		mLayer.locked = true;
		for (i=0; i<doc.layers.length; i++)
			if (doc.layers[i].locked == false) doc.layers[i].visible = false;
		fullDocName = doc.fullName;
		var param = doc.name.split('.');
		realDocName = param[0];
		for (i=0; i<doc.layers.length; i++){
			if (i-1<0) doc.layers[i].visible = true;
			else {
				doc.layers[i-1].visible = false;
				doc.layers[i].visible = true;
			}
			if (doc.layers[i].locked == false) {	
				docName = '_sb_'+realDocName+doc.layers[i].name;	
				var saveName = new File ( doc.path + "/" + docName );
				doc.saveAs( saveName, saveOpts );
			}
		}
		doc.close(SaveOptions.DONOTSAVECHANGES);
		doc = null;
		app.open (fullDocName);
	}
}


